# Created by pyp2rpm-3.3.5
%global pypi_name jupyterlab_pygments

Name:           python-%{pypi_name}
Version:        0.3.0
Release:        1%{?dist}
Summary:        Pygments theme
# Jupyterlab_pygments is BSD-3-Clause
# Bundled JS libs licences
# To get them, run:
# cat third-party-licenses.json | sed -n '/licenseId/s/"licenseId": "\(.*\)",/\1/p' | sort | uniq
# in jupyterlab_pygments/labextension/static. The result is:
#
# MIT
License:        BSD-3-Clause AND MIT
URL:            https://github.com/jupyterlab/jupyterlab_pygments
Source0:        %{pypi_source}
Patch:          drop-hatch-nodejs-version.patch

BuildArch:      noarch

BuildRequires:  python3-devel

%description
This package contains a syntax coloring theme for pygments making use of the 
JupyterLab CSS variables.

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}

Requires:       (python3dist(pygments) >= 2.4.1 with python3dist(pygments) < 3)

# Bundled provides
# Generated by:
# python3 -c "import json; [print(f\"Provides:        bundled(npm({p['name']})) = {p['versionInfo']}\") for p in json.load(open(\"third-party-licenses.json\"))[\"packages\"]]"
# in jupyterlab_pygments/labextension/static.
Provides:        bundled(npm(css-loader)) = 6.8.1
Provides:        bundled(npm(style-loader)) = 3.3.3

%description -n python3-%{pypi_name}
This package contains a syntax coloring theme for pygments making use of the 
JupyterLab CSS variables.



%prep
%autosetup -p1 -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info
# Replace dynamic version
sed -i "s/##VERSION##/%{version}/" pyproject.toml

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files %{pypi_name}

%files -n python3-%{pypi_name} -f %{pyproject_files}
%license LICENSE
%doc README.md
%{_datadir}/jupyter/labextensions/jupyterlab_pygments

%changelog
* Thu Nov 23 2023 Lumír Balhar <lbalhar@redhat.com> - 0.3.0-1
- Update to 0.3.0 (rhbz#2251177)

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-10
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Tue Jun 13 2023 Python Maint <python-maint@redhat.com> - 0.1.2-9
- Rebuilt for Python 3.12

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Mon Jun 13 2022 Python Maint <python-maint@redhat.com> - 0.1.2-6
- Rebuilt for Python 3.11

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 0.1.2-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 0.1.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Thu Nov 26 2020 Mukundan Ragavan <nonamedotc@gmail.com> - 0.1.2-1
- Initial package.
